## org.gjt.sp.util
Class SegmentCharSequence

    java.lang.Object
      org.gjt.sp.util.SegmentCharSequence

All Implemented Interfaces:
  java.io.Serializable, java.lang.CharSequence

    public class SegmentCharSequence

extends java.lang.Object
implements java.lang.CharSequence, java.io.Serializable

Class that lets java.util.regex search within a javax.swing.text.Segment.

See Also:
  Serialized Form

Constructor Summary
`SegmentCharSequence(javax.swing.text.Segment seg)`
`SegmentCharSequence(javax.swing.text.Segment seg, int off, int len)`

Method Summary
`char` `charAt(int index)`
`int` `length()`
`java.lang.CharSequence` `subSequence(int start, int end)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SegmentCharSequence

    public SegmentCharSequence(javax.swing.text.Segment seg)

### SegmentCharSequence

    public SegmentCharSequence(javax.swing.text.Segment seg,
                               int off,
                               int len)

Method Detail

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `java.lang.CharSequence`

### length

    public int length()

  Specified by:
    `length` in interface `java.lang.CharSequence`

### subSequence

    public java.lang.CharSequence subSequence(int start,
                                              int end)

  Specified by:
    `subSequence` in interface `java.lang.CharSequence`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.lang.CharSequence`
  Overrides:
    `toString` in class `java.lang.Object`